Package uk.ac.starlink.topcat.activate

## Class TopcatSkyPosActivationType

- java.lang.Object
- - uk.ac.starlink.topcat.activate.TopcatSkyPosActivationType

- All Implemented Interfaces:
    `ActivationType`

      public class TopcatSkyPosActivationType
      extends java.lang.Object
      implements ActivationType

  Activation type that sends sky coordinates to other windows in the TOPCAT application.
  Since:
    29 Mar 2018
  Author:
    Mark Taylor

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TopcatSkyPosActivationType()` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ActivatorConfigurator` | `createConfigurator​(TopcatModelInfo tinfo)` | Returns a component that can be used to configure activators of this type.
    `java.lang.String` | `getDescription()` | Description of this activation type.
    `java.lang.String` | `getName()` | Name of this activation type.
    `Suitability` | `getSuitability​(TopcatModelInfo tinfo)` | Indicates the applicability of this activation type to a given table.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TopcatSkyPosActivationType

          public TopcatSkyPosActivationType()

      Constructor.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Description copied from interface: `ActivationType`
      Name of this activation type.
      Specified by:
        `getName` in interface `ActivationType`
      Returns:
        type name

    - #### getDescription

          public java.lang.String getDescription()

      Description copied from interface: `ActivationType`
      Description of this activation type.
      Specified by:
        `getDescription` in interface `ActivationType`
      Returns:
        type description

    - #### getSuitability

          public Suitability getSuitability​(TopcatModelInfo tinfo)

      Description copied from interface: `ActivationType`
      Indicates the applicability of this activation type to a given table.
      Specified by:
        `getSuitability` in interface `ActivationType`
      Parameters:
        `tinfo` - information about topcat model
      Returns:
        suitability code

    - #### createConfigurator

          public ActivatorConfigurator createConfigurator​(TopcatModelInfo tinfo)

      Description copied from interface: `ActivationType`
      Returns a component that can be used to configure activators of this type.
      Specified by:
        `createConfigurator` in interface `ActivationType`
      Parameters:
        `tinfo` - information about topcat model for which the activation will take place
      Returns:
        new configurator to produce compatible Activators